# DataGridViewCellBorderStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the border styles that can be applied to the cells of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DataGridViewCellBorderStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DataGridViewCellBorderStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                          |
| -------------- | ------------------------------------ |
| **Both**       | Both vertical and horizontal border. |
| **Horizontal** | An horizontal border between rows.   |
| **None**       | No borders.                          |
| **Vertical**   | A vertical border between columns.   |

## Used By

| Name                                                                                                             | Description                                                                                                                            |
| ---------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridView.CellBorderStyle](/api/wisej.web/lists-and-grids/datagridview.md#cellborderstyle)                   | Returns or sets the cell border style for the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.                  |
| [DataGridView.ColumnHeadersBorderStyle](/api/wisej.web/lists-and-grids/datagridview.md#columnheadersborderstyle) | Returns or sets the border style for the column headers in the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellborderstyle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
